## openstack-trove 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
keystonemiddleware>=4.17.0 # Apache-2.0
Routes>=2.3.1 # MIT
WebOb>=1.7.1 # MIT
PasteDeploy>=1.5.0 # MIT
Paste>=2.0.2 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
netaddr>=0.7.18 # BSD
httplib2>=0.9.1 # MIT
lxml!=3.7.0,>=3.4.1 # BSD
passlib>=1.7.0 # BSD
python-heatclient>=1.10.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
jsonschema>=2.6.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
pexpect!=3.3,>=3.1 # ISC License
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
PyMySQL>=0.7.6 # MIT License
Babel!=2.4.0,>=2.3.4 # BSD
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
xmltodict>=0.10.1 # MIT
cryptography>=2.1.4  # BSD/Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
diskimage-builder!=1.6.0,!=1.7.0,!=1.7.1,>=1.1.2 # Apache-2.0

=== debian/changelog ===
openstack-trove (1:13.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 13.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725672/)
    to fix Python 3.8 monkey patching (LP: #1863021).

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 May 2020 09:50:59 -0400

=== debian/control ===
Source: openstack-trove
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 iproute2,
 net-tools,
 python3-astroid (>= 1.6.5),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-cassandra (>= 2.1.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-crypto (>= 2.6),
 python3-cryptography (>= 2.1.4),
 python3-designateclient (>= 2.7.0),
 python3-diskimage-builder (>= 1.1.2),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.10.0),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose (>= 1.3.7),
 python3-nosexcover (>= 1.0.10),
 python3-novaclient (>= 2:9.1.0),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 1.32.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-passlib (>= 1.7.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-pexpect (>= 3.1),
 python3-proboscis (>= 1.2.5.3),
 python3-psycopg2 (>= 2.6.2),
 python3-pymongo (>= 3.0.2),
 python3-pymysql (>= 0.7.6),
 python3-redis (>= 2.10.0),
 python3-reno (>= 2.5.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 1.1.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 4.9.0),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 python3-wsgi-intercept (>= 1.4.1),
 python3-xmltodict (>= 0.10.1),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
Homepage: https://github.com/openstack/trove
Testsuite: autopkgtest-pkg-python

Package: python3-trove
Architecture: all
Section: python
Depends:
 e2fsprogs,
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-crypto (>= 2.6),
 python3-cryptography (>= 2.1.4),
 python3-designateclient (>= 2.7.0),
 python3-diskimage-builder (>= 1.1.2),
 python3-eventlet (>= 0.18.2),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-migrate (>= 0.11.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackclient,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-passlib (>= 1.7.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pexpect (>= 3.1),
 python3-pymysql (>= 0.7.6),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-troveclient (>= 1:2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-xmltodict (>= 0.10.1),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python3-cjson,
Description: Database as a Service for OpenStack - Python 3 lib
 Trove is "Database as a Service" for Openstack. It's designed to allow users
 to quickly and easily utilize the features of a relational database without
 the burden of handling complex administrative tasks.
 .
 Cloud users and database administrators can provision and manage multiple
 database instances as needed. The service focus on providing resource
 isolation at high performance while automating deployment, configuration,
 patching, backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove Python 3 library.

Package: trove-api
Architecture: all
Depends:
 adduser,
 lsb-base,
 q-text-as-data,
 trove-common (= ${binary:Version}),
 ${misc:Depends},
Description: Database as a Service for OpenStack - API server
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove API server. The trove-api service provides a
 RESTful API that supports JSON and XML to provision and manage Trove
 instances.

Package: trove-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-trove (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: Database as a Service for OpenStack - common files
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove common files.

Package: trove-conductor
Architecture: all
Depends:
 adduser,
 lsb-base,
 trove-common (= ${binary:Version}),
 ${misc:Depends},
Description: Database as a Service for OpenStack - conductor
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove conductor.

Package: trove-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Database as a Service for OpenStack - doc
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove documentations.

Package: trove-guestagent
Architecture: all
Depends:
 adduser,
 lsb-base,
 trove-common (= ${binary:Version}),
 ${misc:Depends},
Description: Database as a Service for OpenStack - guest agent
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove guest agent. The guestagent is a service that
 runs within the guest instance, responsible for managing and performing
 operations on the Database itself. The Guest Agent listens for RPC messages
 through the message bus and performs the requested operation.

Package: trove-taskmanager
Architecture: all
Depends:
 adduser,
 lsb-base,
 trove-common (= ${binary:Version}),
 ${misc:Depends},
Description: Database as a Service for OpenStack - taskmanager
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=openstack-trove

PYTHON3S=$(py3versions -vr 2>/dev/null)

UPSTREAM_GIT := https://github.com/openstack/trove.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/trove-common.postinst
	rm -f debian/trove-common.config
	rm -f debian/trove-api.postinst
	rm -f debian/trove-api.config
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.config
	pkgos-merge-templates trove-api trove endpoint
	pkgos-merge-templates trove-common trove db rabbit ksat

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/trove-doc/usr/share/doc/trove-doc/html
	dh_sphinxdoc
endif

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-trove; \
	done
	rm -rf $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	rm -rf $(CURDIR)/debian/python*/usr/etc/*

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S); do \
		PYMAJOR=`echo $$i | cut -d'.' -f1`; \
		rm -f trove_test.sqlite; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i stestr run --serial; \
	done
endif

	# Install the config files in the different binary packages
	# -guestagent
	install -D -m 0664 $(CURDIR)/etc/trove/trove-guestagent.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-guestagent.conf
	install -D -m 0664 $(CURDIR)/etc/trove/trove.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf
	# We want neutron by default, not nova-network
	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf DEFAULT network_driver	trove.network.neutron.NeutronDriver
	# Use nova config drive by default
	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf DEFAULT use_nova_server_config_drive True

	install -D -m 0664 $(CURDIR)/etc/trove/api-paste.ini $(CURDIR)/debian/trove-common/usr/share/trove-common/api-paste.ini


override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

=== debian/tests/control ===
Tests: trove-daemons
Depends:
 crudini,
 mysql-server,
 trove-api,
 trove-common,
 trove-conductor,
 trove-guestagent,
 trove-taskmanager,
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/trove trove-(13\.\d.*)\.tar\.gz

## openstack-trove 14.0.0

=== requirements.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 python-glanceclient>=2.8.0 # Apache-2.0
 python-troveclient>=2.2.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
-jsonschema>=2.6.0 # MIT
+jsonschema>=3.2.0 # MIT
 Jinja2>=2.10 # BSD License (3 clause)
 pexpect!=3.3,>=3.1 # ISC License
 oslo.config>=5.2.0 # Apache-2.0
@@ -37,7 +37,6 @@
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 PyMySQL>=0.7.6 # MIT License
-Babel!=2.4.0,>=2.3.4 # BSD
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
@@ -48,3 +47,5 @@
 cryptography>=2.1.4  # BSD/Apache-2.0
 oslo.policy>=1.30.0 # Apache-2.0
 diskimage-builder!=1.6.0,!=1.7.0,!=1.7.1,>=1.1.2 # Apache-2.0
+docker>=4.2.0 # Apache-2.0
+psycopg2-binary>=2.6.2 # LGPL/ZPL

=== debian/changelog ===
openstack-trove (1:14.0.0-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 15 Oct 2020 15:43:42 +0000

openstack-trove (1:14.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:30:07 -0400

openstack-trove (1:14.0.0~rc2-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 14.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 13:04:40 -0400

openstack-trove (1:14.0.0~b3~git2020091410.2cd5bb6f-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 10:38:27 +0000

openstack-trove (1:14.0.0~b2~git2020073015.8e48d757-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/copyright, d/rules: Update upstream URL.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 15:59:21 -0400

openstack-trove (1:14.0.0~b1~git2020070212.f8ca333b-0ubuntu2) groovy; urgency=medium

  * d/rules: Generate trove.conf and trove-guestagent.conf.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Jul 2020 08:52:42 -0400

openstack-trove (1:14.0.0~b1~git2020070212.f8ca333b-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.
  * d/p/fix-default-sql_connection-directive.patch: Removed. The file it
    patches is removed upstream.
  * d/p/use-realpath-function-to-find-my.cnf-in-debian.patch: Updated patch
    after upstream change.
  * d/rules: Remove install of removed sample config files.
  * d/rules: Generate trove.conf
  * d/trove-common.postrm: Remove cleanup of removed file.
  * d/trove-common.postinst.in: Remove setting up removed file.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 02 Jul 2020 12:42:25 +0000

openstack-trove (1:13.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 13.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725672/)
    to fix Python 3.8 monkey patching (LP: #1863021).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 15 May 2020 08:39:05 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 85ubuntu3~),
+ openstack-pkg-tools,
  po-debconf,
  python3-all,
  python3-pbr (>= 2.0.0),
@@ -29,6 +29,7 @@
  python3-designateclient (>= 2.7.0),
  python3-diskimage-builder (>= 1.1.2),
  python3-doc8 (>= 0.6.0),
+ python3-docker (>= 4.1.0),
  python3-eventlet (>= 0.18.2),
  python3-glanceclient (>= 1:2.8.0),
  python3-hacking (>= 1.1.0),
@@ -36,7 +37,7 @@
  python3-httplib2 (>= 0.9.1),
  python3-iso8601 (>= 0.1.11),
  python3-jinja2 (>= 2.10),
- python3-jsonschema (>= 2.6.0),
+ python3-jsonschema (>= 3.2.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-lxml (>= 3.4.1),
@@ -49,7 +50,7 @@
  python3-nosexcover (>= 1.0.10),
  python3-novaclient (>= 2:9.1.0),
  python3-openstack.nose-plugin (>= 0.7),
- python3-openstackdocstheme (>= 1.32.1),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),
@@ -77,7 +78,6 @@
  python3-pymongo (>= 3.0.2),
  python3-pymysql (>= 0.7.6),
  python3-redis (>= 2.10.0),
- python3-reno (>= 2.5.0),
  python3-routes (>= 2.3.1),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.0.10),
@@ -93,10 +93,10 @@
  python3-xmltodict (>= 0.10.1),
  subunit,
  testrepository,
-Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
-Homepage: https://github.com/openstack/trove
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/openstack-trove
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/openstack-trove
+Homepage: https://opendev.org/openstack/trove
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-trove
@@ -110,13 +110,14 @@
  python3-cryptography (>= 2.1.4),
  python3-designateclient (>= 2.7.0),
  python3-diskimage-builder (>= 1.1.2),
+ python3-docker (>= 4.1.0),
  python3-eventlet (>= 0.18.2),
  python3-glanceclient (>= 1:2.8.0),
  python3-heatclient (>= 1.10.0),
  python3-httplib2 (>= 0.9.1),
  python3-iso8601 (>= 0.1.11),
  python3-jinja2 (>= 2.10),
- python3-jsonschema (>= 2.6.0),
+ python3-jsonschema (>= 3.2.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-lxml (>= 3.4.1),

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 PYTHON3S=$(py3versions -vr 2>/dev/null)
 
-UPSTREAM_GIT := https://github.com/openstack/trove.git
+UPSTREAM_GIT := https://opendev.org/openstack/trove.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -53,10 +53,11 @@
 	done
 endif
 
-	# Install the config files in the different binary packages
-	# -guestagent
+	oslo-config-generator --namespace trove.config --namespace oslo.messaging --namespace oslo.log --namespace oslo.log --namespace oslo.policy --output-file $(CURDIR)/etc/trove/trove.conf.sample
+	oslo-config-generator --namespace trove.config --namespace oslo.messaging --namespace oslo.log --namespace oslo.log --namespace oslo.policy --output-file $(CURDIR)/etc/trove/trove-guestagent.conf.sample
+	install -D -m 0664 $(CURDIR)/etc/trove/trove.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf
 	install -D -m 0664 $(CURDIR)/etc/trove/trove-guestagent.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-guestagent.conf
-	install -D -m 0664 $(CURDIR)/etc/trove/trove.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf
+	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf DEFAULT connection sqlite:///var/lib/trove/sqlitedb
 	# We want neutron by default, not nova-network
 	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf DEFAULT network_driver	trove.network.neutron.NeutronDriver
 	# Use nova config drive by default

## openstack-trove 15.0.0

=== requirements.txt ===
--- 
+++ 
@@ -27,17 +27,16 @@
 jsonschema>=3.2.0 # MIT
 Jinja2>=2.10 # BSD License (3 clause)
 pexpect!=3.3,>=3.1 # ISC License
-oslo.config>=5.2.0 # Apache-2.0
-oslo.context>=2.19.2 # Apache-2.0
+oslo.config>=6.8.0 # Apache-2.0
+oslo.context>=2.22.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
-oslo.upgradecheck>=0.1.0 # Apache-2.0
-oslo.utils>=3.33.0 # Apache-2.0
+oslo.upgradecheck>=1.3.0 # Apache-2.0
+oslo.utils>=3.40.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 PyMySQL>=0.7.6 # MIT License
-six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
@@ -45,7 +44,8 @@
 oslo.db>=4.27.0 # Apache-2.0
 xmltodict>=0.10.1 # MIT
 cryptography>=2.1.4  # BSD/Apache-2.0
-oslo.policy>=1.30.0 # Apache-2.0
+oslo.policy>=3.6.0 # Apache-2.0
 diskimage-builder!=1.6.0,!=1.7.0,!=1.7.1,>=1.1.2 # Apache-2.0
 docker>=4.2.0 # Apache-2.0
 psycopg2-binary>=2.6.2 # LGPL/ZPL
+semantic-version>=2.7.0 # BSD

=== debian/changelog ===
openstack-trove (2:15.0.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Apr 2021 18:17:23 +0000

openstack-trove (2:15.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:10:48 +0000

openstack-trove (2:15.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 15.x series and fix tarball path.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 12:25:51 -0400

openstack-trove (2:14.0.0+git2021012713.1e04b269-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 28 Jan 2021 07:33:28 +0000

openstack-trove (2:14.0.0+git2020121012.9a6d4163-0ubuntu2) hirsute; urgency=medium

  * d/rules: Explicitly configure PBR version

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 04 Jan 2021 09:49:07 +0000

openstack-trove (2:14.0.0+git2020121012.9a6d4163-0ubuntu1) hirsute; urgency=medium

  * Increment epoch to align with new snapshot plan.
  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 10 Dec 2020 13:12:21 +0000

openstack-trove (1:14.1.0~b1~git2020120812.e1dcb796-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 08 Dec 2020 12:26:50 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  python3-cryptography (>= 2.1.4),
  python3-designateclient (>= 2.7.0),
  python3-diskimage-builder (>= 1.1.2),
- python3-doc8 (>= 0.6.0),
+ python3-doc8 (>= 0.8.0),
  python3-docker (>= 4.1.0),
  python3-eventlet (>= 0.18.2),
  python3-glanceclient (>= 1:2.8.0),
@@ -54,18 +54,18 @@
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.config (>= 1:6.8.0),
+ python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
+ python3-oslo.policy (>= 3.6.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
- python3-oslo.upgradecheck (>= 0.1.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.utils (>= 3.40.0),
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 1.4.0),
  python3-passlib (>= 1.7.0),
@@ -127,18 +127,18 @@
  python3-novaclient (>= 2:9.1.0),
  python3-openstackclient,
  python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.config (>= 1:6.8.0),
+ python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
+ python3-oslo.policy (>= 3.6.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
- python3-oslo.upgradecheck (>= 0.1.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.utils (>= 3.40.0),
  python3-osprofiler (>= 1.4.0),
  python3-passlib (>= 1.7.0),
  python3-paste (>= 2.0.2),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/trove/ trove-(15\.\d.*)\.tar\.gz

## openstack-trove 16.0.0

=== requirements.txt ===
--- 
+++ 
@@ -49,3 +49,4 @@
 docker>=4.2.0 # Apache-2.0
 psycopg2-binary>=2.6.2 # LGPL/ZPL
 semantic-version>=2.7.0 # BSD
+oslo.cache>=1.26.0 # Apache-2.0

=== debian/changelog ===
openstack-trove (2:16.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 16.x series and fix tarball path.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 11:50:53 -0400

openstack-trove (2:15.0.0+git2021090912.f3459e26-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:12:52 -0400

openstack-trove (2:15.0.0+git2021072117.69f08ab4-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:40:45 -0400

openstack-trove (2:15.0.0+git2021061405.7ebce17e-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 07:22:44 +0000

=== debian/control ===
--- 
+++ 
@@ -28,11 +28,11 @@
  python3-cryptography (>= 2.1.4),
  python3-designateclient (>= 2.7.0),
  python3-diskimage-builder (>= 1.1.2),
- python3-doc8 (>= 0.8.0),
- python3-docker (>= 4.1.0),
+ python3-doc8,
+ python3-docker (>= 4.2.0),
  python3-eventlet (>= 0.18.2),
  python3-glanceclient (>= 1:2.8.0),
- python3-hacking (>= 1.1.0),
+ python3-hacking,
  python3-heatclient (>= 1.10.0),
  python3-httplib2 (>= 0.9.1),
  python3-iso8601 (>= 0.1.11),
@@ -53,6 +53,7 @@
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
+ python3-oslo.cache (>= 1.26.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:6.8.0),
  python3-oslo.context (>= 1:2.22.0),
@@ -110,7 +111,7 @@
  python3-cryptography (>= 2.1.4),
  python3-designateclient (>= 2.7.0),
  python3-diskimage-builder (>= 1.1.2),
- python3-docker (>= 4.1.0),
+ python3-docker (>= 4.2.0),
  python3-eventlet (>= 0.18.2),
  python3-glanceclient (>= 1:2.8.0),
  python3-heatclient (>= 1.10.0),
@@ -126,6 +127,7 @@
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
  python3-openstackclient,
+ python3-oslo.cache (>= 1.26.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:6.8.0),
  python3-oslo.context (>= 1:2.22.0),
@@ -304,4 +306,3 @@
  and manage multiple database instances as needed. Initially, the service will
  focus on providing resource isolation at high performance while automating
  complex administrative tasks including deployment, configuration, patching,
- backups, restores, and monitoring. Trove is designed to support a

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/trove/ trove-(16\.\d.*)\.tar\.gz

## openstack-trove 17.0.0

=== backup/requirements.txt ===
oslo.config!=4.3.0,!=4.4.0;python_version>='3.0'  # Apache-2.0
oslo.log;python_version>='3.0'  # Apache-2.0
oslo.utils!=3.39.1,!=3.40.0,!=3.40.1;python_version>='3.0'  # Apache-2.0
oslo.concurrency;python_version>='3.0'  # Apache-2.0
oslo.service!=1.28.1  # Apache-2.0
keystoneauth1  # Apache-2.0
python-swiftclient  # Apache-2.0
psycopg2-binary>=2.6.2 # LGPL/ZPL

=== debian/changelog ===
openstack-trove (2:17.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 17.x series.
  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:05:15 -0400

openstack-trove (2:16.0.0+git2022030314.39322f5a-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/p/switch-to-collections-abc-mapping.patch: Cherry-picked from
    upstream review to fix failing tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 14:24:39 -0500

openstack-trove (2:16.0.0+git2021120910.be86b791-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:21:05 -0500

openstack-trove (2:16.0.0-0ubuntu2) jammy; urgency=medium

  * d/control: Drop python3-crypto from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Nov 2021 09:42:06 +0000

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  python3-cassandra (>= 2.1.4),
  python3-cinderclient (>= 1:3.3.0),
  python3-coverage (>= 4.0),
- python3-crypto (>= 2.6),
  python3-cryptography (>= 2.1.4),
  python3-designateclient (>= 2.7.0),
  python3-diskimage-builder (>= 1.1.2),
@@ -56,7 +55,7 @@
  python3-oslo.cache (>= 1.26.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:6.8.0),
- python3-oslo.context (>= 1:2.22.0),
+ python3-oslo.context (>= 1:4.0.0),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
@@ -107,7 +106,6 @@
  e2fsprogs,
  python3-babel (>= 2.3.4),
  python3-cinderclient (>= 1:3.3.0),
- python3-crypto (>= 2.6),
  python3-cryptography (>= 2.1.4),
  python3-designateclient (>= 2.7.0),
  python3-diskimage-builder (>= 1.1.2),
@@ -130,7 +128,7 @@
  python3-oslo.cache (>= 1.26.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:6.8.0),
- python3-oslo.context (>= 1:2.22.0),
+ python3-oslo.context (>= 1:4.0.0),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
@@ -306,3 +304,4 @@
  and manage multiple database instances as needed. Initially, the service will
  focus on providing resource isolation at high performance while automating
  complex administrative tasks including deployment, configuration, patching,
+ backups, restores, and monitoring. Trove is designed to support a

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,11 @@
 PYTHON3S=$(py3versions -vr 2>/dev/null)
 
 UPSTREAM_GIT := https://opendev.org/openstack/trove.git
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
+
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
